"use strict";

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var semver = require("semver");

var MetadataLoader = function () {
    function MetadataLoader() {
        _classCallCheck(this, MetadataLoader);

        this.fullMetadata = require("../data/metadata/dx-theme-builder-metadata");
        this.migrationMetadata = require("../data/migration-metadata/migration-metadata");
    }

    _createClass(MetadataLoader, [{
        key: "load",
        value: function load(theme, colorScheme) {
            var _this = this;

            return new Promise(function (resolve) {
                var metadata = _this.fullMetadata[theme + "_" + colorScheme.replace(/-/g, "_") + "_metadata"];

                if (semver.gte(_this.version(), "18.2.8") && _this.migrationMetadata[theme]) {
                    _this.migrationMetadata[theme].forEach(function (value) {
                        metadata.push({ "Key": value });
                    });
                }

                resolve(metadata);
            });
        }
    }, {
        key: "version",
        value: function version() {
            return this.fullMetadata["_metadata_version"];
        }
    }]);

    return MetadataLoader;
}();

module.exports = MetadataLoader;